---
containerd_package_info:
  pkg_mgr: apt
  pkgs:
    - name: "{{ containerd_versioned_pkg[containerd_version | string] }}"
      force: false

containerd_repo_key_info:
  pkg_key: apt_key
  url: '{{ containerd_ubuntu_repo_gpgkey }}'
  repo_keys:
    - '{{ containerd_ubuntu_repo_repokey }}'

containerd_repo_info:
  pkg_repo: apt_repository
  repos:
    - >
      deb {{ containerd_ubuntu_repo_base_url }}
      {{ ansible_distribution_release|lower }}
      {{ containerd_ubuntu_repo_component }}
